Bug 1463703 - [abrt] blueman: on_dbus_name_vanished(): Manager.py:86:on_dbus_name_vanished:AttributeError: 'Blueman' object has no attribute 'Applet'
[abrt] blueman: on_dbus_name_vanished(): Manager.py:86:on_dbus_name_vanished:...
Status: NEW
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
26
armv7l Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e0cad80f999398ac3db273f78a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 10:16 EDT by Paul Whalen
Modified: 2017-07-21 12:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (568 bytes, text/plain)
2017-06-21 10:16 EDT, Paul Whalen
no flags Details
File: cgroup (276 bytes, text/plain)
2017-06-21 10:16 EDT, Paul Whalen
no flags Details
File: cpuinfo (476 bytes, text/plain)
2017-06-21 10:17 EDT, Paul Whalen
no flags Details
File: environ (1.47 KB, text/plain)
2017-06-21 10:17 EDT, Paul Whalen
no flags Details
File: mountinfo (2.84 KB, text/plain)
2017-06-21 10:17 EDT, Paul Whalen
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-21 10:17 EDT, Paul Whalen
no flags Details
File: open_fds (1019 bytes, text/plain)
2017-06-21 10:17 EDT, Paul Whalen
no flags Details

  None (edit)
Description Paul Whalen 2017-06-21 10:16:52 EDT
Description of problem:
Attempt to open bluetooth manager from Applications menu

Version-Release number of selected component:
blueman-2.1-0.6.alpha1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: on_dbus_name_vanished
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.3-300.fc26.armv7hl
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Manager.py:86:on_dbus_name_vanished:AttributeError: 'Blueman' object has no attribute 'Applet'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blueman/main/Manager.py", line 86, in on_dbus_name_vanished
    self.Applet.disconnect(self._applet_sig)
AttributeError: 'Blueman' object has no attribute 'Applet'

Local variables in innermost frame:
name: 'org.bluez'
_connection: <Gio.DBusConnection object at 0xb49636c0 (GDBusConnection at 0x81016858)>
self: <Manager.Blueman object at 0xb672b148 (blueman+main+Manager+Blueman at 0x8108b190)>
Comment 1 Paul Whalen 2017-06-21 10:16:57 EDT
Created attachment 1290113 [details]
File: backtrace
Comment 2 Paul Whalen 2017-06-21 10:16:58 EDT
Created attachment 1290114 [details]
File: cgroup
Comment 3 Paul Whalen 2017-06-21 10:17:00 EDT
Created attachment 1290115 [details]
File: cpuinfo
Comment 4 Paul Whalen 2017-06-21 10:17:01 EDT
Created attachment 1290116 [details]
File: environ
Comment 5 Paul Whalen 2017-06-21 10:17:02 EDT
Created attachment 1290117 [details]
File: mountinfo
Comment 6 Paul Whalen 2017-06-21 10:17:04 EDT
Created attachment 1290118 [details]
File: namespaces
Comment 7 Paul Whalen 2017-06-21 10:17:05 EDT
Created attachment 1290119 [details]
File: open_fds
Comment 8 Andy 2017-06-28 04:38:56 EDT
Similar problem has been detected:

No idea, i just tryd to open up bluetooth manager and there was this error

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: on_dbus_name_vanished
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.7-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         Manager.py:86:on_dbus_name_vanished:AttributeError: 'Blueman' object has no attribute 'Applet'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 9 Senthil Nathan 2017-07-12 19:12:33 EDT
Similar problem has been detected:

Got this reporting bug while desktop is launched. Simply to say after OS is loaded.

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: on_dbus_name_vanished
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.9-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         Manager.py:86:on_dbus_name_vanished:AttributeError: 'Blueman' object has no attribute 'Applet'
runlevel:       N 5
type:           Python3
uid:            1001
Comment 10 Richard L. England 2017-07-15 21:08:54 EDT
Similar problem has been detected:

Started Blueman

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: on_dbus_name_vanished
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.9-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         Manager.py:86:on_dbus_name_vanished:AttributeError: 'Blueman' object has no attribute 'Applet'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 11 deadrat 2017-07-21 12:50:52 EDT
Similar problem has been detected:

I tried to set up a device

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: on_dbus_name_vanished
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.10-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         Manager.py:86:on_dbus_name_vanished:AttributeError: 'Blueman' object has no attribute 'Applet'
runlevel:       N 5
type:           Python3
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.